<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.finance.mapper.YksytChannelSpidToCheckMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="org.springblade.finance.entity.YksytChannelSpidToCheck">
        <id column="CHANNELID" property="channelid" />
        <result column="CHANNELNAME" property="channelname" />
        <result column="COMPANY" property="company" />
        <result column="ACCOUNT_STARTDATE" property="accountStartdate" />
        <result column="ACCOUNT_ENDDATE" property="accountEnddate" />
        <result column="PROVINCES" property="provinces" />
        <result column="SPID" property="spid" />
        <result column="SPNAME" property="spname" />
        <result column="SHORTNAME" property="shortname" />
        <result column="PRICE" property="price" />
        <result column="PARTNER_INCOME" property="partnerIncome" />
        <result column="MONTHS" property="months" />
        <result column="IS_VALID" property="isValid" />
        <result column="IS_ONCE" property="isOnce" />
        <result column="PROVINCE_MONEY" property="provinceMoney" />
        <result column="NEED_DISCOUNT" property="needDiscount" />
        <result column="DATA_STARTDATE" property="dataStartdate" />
        <result column="INPUTTER" property="inputter" />
        <result column="INPUT_TIME" property="inputTime" />
        <result column="CHECKER" property="checker" />
        <result column="CHECK_TIME" property="checkTime" />
        <result column="CHECK_STATUS" property="checkStatus" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        CHANNELID, CHANNELNAME, COMPANY, ACCOUNT_STARTDATE, ACCOUNT_ENDDATE, PROVINCES, SPID, SPNAME, SHORTNAME, PRICE, PARTNER_INCOME, MONTHS, IS_VALID, IS_ONCE, PROVINCE_MONEY, NEED_DISCOUNT, DATA_STARTDATE, INPUTTER, INPUT_TIME, CHECKER, CHECK_TIME, CHECK_STATUS
    </sql>

</mapper>
